Name: connman
Version: 1.13
Release: 1%{?dist}
Summary: An alternative daemon for managing internet connections on Linux

Group: System Environment/Base
License: GPLv2
URL: http://connman.net/
Source0: http://www.kernel.org/pub/linux/network/%{name}/%{name}-%{version}.tar.xz

BuildRequires: systemd-units
BuildRequires: glib2-devel >= 2.28
BuildRequires: dbus-devel >= 1.4
BuildRequires: iptables-devel
BuildRequires: gnutls-devel
BuildRequires: readline-devel
# connman searches for wpa_supplicant during build
BuildRequires: wpa_supplicant >= 1.0
Requires: wpa_supplicant >= 1.0
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
The ConnMan project provides a daemon for managing internet connections within
embedded devices running the Linux operating system. The Connection Manager is
designed to be slim and to use as few resources as possible, so it can be
easily integrated.

%package devel
Summary: Libraries and headers for connman
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development files for connman.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%post
%systemd_post connman.service

%preun
%systemd_preun connman.service

%postun
%systemd_postun_with_restart connman.service 

%files
%doc README COPYING
%{_unitdir}/connman.service
%{_sbindir}/connmand
%config(noreplace) /etc/dbus-1/system.d/connman.conf

%files devel
%{_includedir}/connman/
%{_libdir}/pkgconfig/connman.pc

%changelog
* Tue Apr 23 2013 Tom Callaway <spot@fedoraproject.org> - 1.13-1
- update to 1.13

* Sun Mar 31 2013 Pavel Šimerda <psimerda@redhat.com> - 1.12-2
- added readline-devel to requires

* Sun Mar 24 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1.12-1
- update to 1.12

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 26 2012 Pavel Šimerda <psimerda@redhat.com> - 1.6-1
- update to 1.6

* Sun Aug 26 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-4
- add wpa_supplicant build dependency

* Sat Aug 18 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-3
- include COPYING
- make -devel depend on main package

* Sat Aug 18 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-2
- fix scriptlets
- own /usr/include/connman

* Thu Aug 16 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-1
- initial build
